
/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.navbar-inverse .navbar-toggle:hover,
.navbar-inverse .navbar-toggle:focus {
    background-color: #777;
    border-color: #fff
}


body, html {
    height: 100%;
}

.bg {
    /* The image used */
    background-image: url("/Content/Images/background.jpg");
    /* Full height */
    height: 100%;
    /* Center and scale the image nicely */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: auto;
}

@keyframes fadein {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes spin {
    0%, 100% {
        transform: rotate(0deg) scale(1);
    }

    50% {
        transform: rotate(720deg) scale(0.5);
    }
}

@keyframes pulse {
    0%, 100% {
        letter-spacing: 5px;
        left: calc(50% + (10px/2));
    }

    50% {
        letter-spacing: 2.5px;
        left: 50%;
    }
}

.loading {
    animation: fadein 2s;
}

.spinner-wrapper {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background: white;
    position: absolute;
    z-index: 15;
}

.spinner-text {
    position: absolute;
    top: calc(50% - (10px/2));
    left: 50%;
    color: rebeccapurple;
    text-transform: uppercase;
    letter-spacing: 2.5px;
    font: bold 10px sans-serif;
    transform: translate3d(-50%, -50%);
    animation: pulse 1.5s infinite;
}

.spinner {
    margin: 0;
    display: block;
    position: absolute;
    left: calc(50% - (24px*2.5));
    top: calc(50% - 24px);
    border: 24px solid rebeccapurple;
    width: 1px;
    height: 1px;
    border-left-color: transparent;
    border-right-color: transparent;
    border-radius: 50px;
    animation: spin 1.5s infinite;
}
